Re: entnext not finding seqend

That's because you're dealing with an INSERTion of the block, not the block
definition.
To get the block definition, you need to use
(setq temp (entget (tblobjname "block" "PipeDownMedium")))
...then (entnext temp) will get the next element.
___

> Command: (entget (setq temp (car (entsel))))
>
> Select object: ((-1 . ) (0 . "INSERT") (330 .
name: 40611cf8>) (5 . "51F") (100 . "AcDbEntity") (67 . 0) (410 . "Model")
(8 .
"P-SAN-PIPE-N") (100 . "AcDbBlockReference") (2 . "PipeDownMedium") (10 85.3438
> 185.219 0.0) (41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44
> . 0.0) (45 . 0.0) (210 0.0 0.0 1.0))
>
> Command: (entnext temp)
> nil
Reply to
Paul Turvill
Loading thread data ...

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.